#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMessageBox>
#include <QSerialPort>
#include <QSerialPortInfo>
#include <QDebug>

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void receiveData();

    void on_btn_serial_search_clicked();

    void on_btn_serial_toggle_clicked();

private:
    Ui::MainWindow *ui;

    QSerialPort* m_serialPort;
};
#endif // MAINWINDOW_H

#define _DISPLAY_DATA_LENGTH_ 201

// Command code from MCU
enum MCU_COMMAND_ {
    MCU_COMMAND_TEMP = 0x01,
    MCU_COMMAND_BODY = 0x02,
    MCU_COMMAND_GAS_STATE = 0x03,
    MCU_COMMAND_GAS_DATA = 0x04,
};

// Body sensor status code
enum COMMAND_BODY {
    MCU_COMMAND_BODY_YES = 0x01,
    MCU_COMMAND_BODY_NO = 0x02,
};

// Gas sensor status code
enum {
    MCU_COMMAND_GAS_STATE_SAFE = 0x01,
    MCU_COMMAND_GAS_STATE_DANGER = 0x02,
};
